creates a new OAuth2 application
POST
/user/applications/oauth2
const url = 'https://gitea.example.com/api/v1/user/applications/oauth2';const options = { method: 'POST', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"confidential_client":true,"name":"example","redirect_uris":["example"],"skip_secondary_authorization":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gitea.example.com/api/v1/user/applications/oauth2 \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "confidential_client": true, "name": "example", "redirect_uris": [ "example" ], "skip_secondary_authorization": true }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”CreateOAuth2ApplicationOptions holds options to create an oauth2 application
object
confidential_client
boolean
name
string
redirect_uris
Array<string>
skip_secondary_authorization
boolean
Examplegenerated
{ "confidential_client": true, "name": "example", "redirect_uris": [ "example" ], "skip_secondary_authorization": true}CreateOAuth2ApplicationOptions holds options to create an oauth2 application
object
confidential_client
boolean
name
string
redirect_uris
Array<string>
skip_secondary_authorization
boolean
Responses
Section titled “Responses”OAuth2Application
Media typeapplication/json
OAuth2Application represents an OAuth2 application.
object
client_id
string
client_secret
string
confidential_client
boolean
created
string format: date-time
id
integer format: int64
name
string
redirect_uris
Array<string>
skip_secondary_authorization
boolean
Examplegenerated
{ "client_id": "example", "client_secret": "example", "confidential_client": true, "created": "2026-04-15T12:00:00Z", "id": 1, "name": "example", "redirect_uris": [ "example" ], "skip_secondary_authorization": true}APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string